Package be.fgov.ehealth.mediprima.core.v1

# Class InformationType

java.lang.Object
be.fgov.ehealth.mediprima.core.v1.InformationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:17+02:00", comments="JAXB RI v4.0.5") public class InformationType extends Object implements Serializable

Java class for InformationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InformationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FieldName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FieldValue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InformationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFieldName()`
  Gets the value of the fieldName property.
  `String`
  `getFieldValue()`
  Gets the value of the fieldValue property.
  `void`
  `setFieldName(String value)`
  Sets the value of the fieldName property.
  `void`
  `setFieldValue(String value)`
  Sets the value of the fieldValue property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InformationType

    public InformationType()

- ## Method Details

  - ### getFieldName

    public String getFieldName()
    Gets the value of the fieldName property.
    Returns:
      possible object is `String`

  - ### setFieldName

    public void setFieldName(String value)
    Sets the value of the fieldName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFieldValue

    public String getFieldValue()
    Gets the value of the fieldValue property.
    Returns:
      possible object is `String`

  - ### setFieldValue

    public void setFieldValue(String value)
    Sets the value of the fieldValue property.
    Parameters:
      `value` - allowed object is `String`